PLM之家

[求助] 弹出use askusermessage() or asksyslogmessage()错误

2018-7-9 19:42:10 2592 2

  [复制链接]
zengbiao 发表于 2018-7-7 20:27:16 |阅读模式

zengbiao 楼主

2018-7-7 20:27:16

请使用QQ关联注册PLM之家,学习更多关于内容,更多精彩原创视频供你学习!

您需要 登录 才可以下载或查看,没有帐号?注册

x
做UI界面时弹出这个错误
0 U9 ]7 V  f9 }# vint NX10_daoyuanjiao::apply_cb()- E" H0 E! H  }! Z3 s
{/ N' G5 O  C2 E1 x7 }7 L5 _
    int errorCode = 0;
  h7 C' Q3 `0 F7 r+ w    try$ d8 J. {2 h6 u7 m, q1 x
    {0 D+ d0 o% [8 t5 \% `+ m5 ]% I) @
        //---- Enter your callback code here -----
5 H8 x1 e, e$ }+ p2 P  P                  UF_initialize();
" A# Z; X* S8 u8 d          NXOpen::BlockStyler:PropertyList* DirectionToExtrudeproplist = face_select0->GetProperties();
6 ?# i1 q( V6 p          std::vector<NXOpen::TaggedObject *>objects = DirectionToExtrudeproplist->GetTaggedObjectVector("SelectedObjects");
  h/ m+ X5 d1 {% S8 M0 Q                  delete DirectionToExtrudeproplist;0 s7 E7 p* o8 K/ u* W
                  DirectionToExtrudeproplist= NULL;0 M3 s) g, g) O
                  + n& h% E& B' Y* R
              for ( int i=0;i<objects.size();i++) // size 列表长度,这里指的是 对象个数1 }- x6 D0 R  R7 f- u7 w6 P
              {   4 ]/ h0 G" g1 X7 N0 d: {
                                 UF_OBJ_set_color(objects->Tag(),1);//给选中的对象更改颜色  m! o3 m, z1 ~
              }# U6 ^) `& F+ h! r% d' S9 n5 ?/ W

% `- G  I$ p0 w+ x' H* q- r9 {      UF_terminate();
" _3 e4 w  u7 k" D/ K6 n0 Y    }
* }8 k0 R. K6 Q    caTCh(exception& ex)' k/ L% g" ^+ ]1 Z, L* Z% c
    {
8 e# [+ L5 H: P) h9 _        //---- Enter your exception handling code here -----9 Y  m/ z+ M7 w
        errorCode = 1;1 U, k% l1 @- X+ u
        NX10_daoyuanjiao::theUI->NXMessageBox()->Show("Block Styler", NXOpen::NXMessageBox:DialogTypeError, ex.what());1 ]2 m; F# j/ {+ f/ Q  Q" W5 j
    }& _" r# F% y: `+ [$ K% f
    return errorCode;
0 W7 j) h* _. i1 H}
8 m* I% P$ y" _$ W) N6 D4 G: c8 H! C$ K
最后调试的时候发现就是标红语句的问题,有大佬知道怎么解决吗
$ e/ q0 v& e; E) N: @- c) `
捕获.JPG
上海点团信息科技有限公司,承接UG NX,CATIA,CREO,Solidworks 等CAx软件,Teamcenter,3D Experience等PLM软件,工业4.0数字化软件的实施\二次开发\培训相关业务,详情QQ 939801026 Tel 18301858168 网址 www.diantuankj.com/ doTeam.tech
回复

使用道具 举报

全部回复2

admin 发表于 2018-7-9 16:44:26

admin 沙发

2018-7-9 16:44:26

face_select0->getselectedobjects() 呢。 如果还报错,检查NX开发和VS 匹配版本
上海点团信息科技有限公司,承接UG NX,CATIA,CREO,Solidworks 等CAx软件,Teamcenter,3D Experience等PLM软件,工业4.0数字化软件的实施\二次开发\培训相关业务,详情QQ 939801026 Tel 18301858168 网址 www.diantuankj.com/ doTeam.tech
回复 支持 反对

使用道具 举报

zengbiao 发表于 2018-7-9 19:42:10

zengbiao 板凳

2018-7-9 19:42:10

admin 发表于 2018-7-9 16:441 B2 }7 p/ Z: x- D) {
face_select0->getselectedobjects() 呢。 如果还报错,检查NX开发和VS 匹配版本
5 k# I8 [$ a( J  {' _
谢谢你指导,我解决了,应该是版本匹配的问题
上海点团信息科技有限公司,承接UG NX,CATIA,CREO,Solidworks 等CAx软件,Teamcenter,3D Experience等PLM软件,工业4.0数字化软件的实施\二次开发\培训相关业务,详情QQ 939801026 Tel 18301858168 网址 www.diantuankj.com/ doTeam.tech
回复 支持 反对

使用道具 举报

发表回复

您需要登录后才可以回帖 登录 | 注册

返回列表 本版积分规则

用户组 : 新手上路
邮   箱 :1963869478@qq.com
手   机 :未填写
Q   Q : 未填写
性别 : 就不告诉你
主页 :未填写
个人介绍 :未填写

主题1

帖子4

积分25

  • NX Realize Shape创意

    NX Realize Shape是一个任务环境,您可以通过操作

  • Teamcenter12.0 汽车

    Teamcenter12.0 汽车解决方案TcAE 入门教程 *

  • teamcenter四层weblog

    teamcenter 12安装好后,部署四层 inserb 生成tc

  • NX二次开发源码:分享

    NX二次开发源码:分享下公差标注类型符号 [mw

  • PLM之家NX插件V8.0.0.

    PLM之家NX插件 ============================

  • 发布新帖
  • 在线客服1
  • 在线客服2
  • 微信
  • 客户端
  • 返回顶部
  • NX讨论
    Catia
    TC讨论
    Tecno
    云课堂
    业务合作